diff -u dmidecode-2.9/debian/rules dmidecode-2.9/debian/rules
--- dmidecode-2.9/debian/rules
+++ dmidecode-2.9/debian/rules
@@ -10,9 +10,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
-
 INSTALL = install
 
 include /usr/share/dpatch/dpatch.make
@@ -58,7 +55,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
@@ -80,39 +77,22 @@
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install binary-dmidecode binary-dmidecode-udeb
-
-binary-dmidecode: install
+binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs -Ndmidecode-udeb
+	dh_installdocs
 	dh_installexamples
-	dh_installman -Ndmidecode-udeb
-	dh_installchangelogs -Ndmidecode-udeb CHANGELOG
-	dh_link
-	dh_strip -Ndmidecode-udeb
-	dh_compress -Ndmidecode-udeb
-	dh_fixperms -Ndmidecode-udeb
-	dh_installdeb -Ndmidecode-udeb
-	dh_shlibdeps -Ndmidecode-udeb
-	dh_gencontrol -Ndmidecode-udeb
-	dh_md5sums -Ndmidecode-udeb
-	dh_builddeb -Ndmidecode-udeb
-
-binary-dmidecode-udeb: install
-	dh_testdir
-	dh_testroot
+	dh_installman
+	dh_installchangelogs CHANGELOG
 	dh_link
-	dh_strip -pdmidecode-udeb
-	dh_compress -pdmidecode-udeb
-	dh_fixperms -pdmidecode-udeb
-	dh_installdeb -pdmidecode-udeb
-	dh_shlibdeps -pdmidecode-udeb
-	# Don't write your stupid guesses to debian/files.
-	dh_gencontrol -n -pdmidecode-udeb -- -fdebian/files~
-	# Register file manually.
-	dpkg-distaddfile $(UFILENAME) debian-installer optional
-	dh_builddeb -pdmidecode-udeb --filename=$(UFILENAME)
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
diff -u dmidecode-2.9/debian/control dmidecode-2.9/debian/control
--- dmidecode-2.9/debian/control
+++ dmidecode-2.9/debian/control
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>> 3.0.0), dpatch
+Build-Depends: debhelper (>= 6), dpatch
 Standards-Version: 3.7.2
 
 Package: dmidecode
@@ -18,6 +18,7 @@
  hardware detection programs.
 
 Package: dmidecode-udeb
+XC-Package-Type: udeb
 Section: debian-installer
 Architecture: i386 ia64 amd64 kfreebsd-i386 knetbsd-i386 kfreebsd-amd64
 Depends: ${shlibs:Depends}
diff -u dmidecode-2.9/debian/changelog dmidecode-2.9/debian/changelog
--- dmidecode-2.9/debian/changelog
+++ dmidecode-2.9/debian/changelog
@@ -1,3 +1,13 @@
+dmidecode (2.9-1.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Correctly set package type for the udeb. Allows to simplify debian/rules
+    and ensures a correct dependency on libc6-udeb. Closes: #562014.
+  * Update debhelper compat to version 6.
+  * Don't ignore errors during 'make clean'.
+
+ -- Frans Pop <fjp@debian.org>  Tue, 22 Dec 2009 05:13:24 +0100
+
 dmidecode (2.9-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
only in patch2:
unchanged:
--- dmidecode-2.9.orig/debian/compat
+++ dmidecode-2.9/debian/compat
@@ -0,0 +1 @@
+6
